org.appng.api.support

## Class ResourceBundleMessageSource

- java.lang.Object
- - org.springframework.context.support.MessageSourceSupport
  - - org.springframework.context.support.AbstractMessageSource
    - - org.springframework.context.support.AbstractResourceBasedMessageSource
      - - org.springframework.context.support.ResourceBundleMessageSource
        - - org.appng.api.support.ResourceBundleMessageSource

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.context.HierarchicalMessageSource, org.springframework.context.MessageSource

      public class ResourceBundleMessageSource
      extends org.springframework.context.support.ResourceBundleMessageSource

  A `ResourceBundleMessageSource` that can retrieve the available keys.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.context.support.MessageSourceSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBundleMessageSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getKeys(Locale locale)` Returns the keys for the given locale

    - ### Methods inherited from class org.springframework.context.support.ResourceBundleMessageSource

      `doGetBundle, getBundleClassLoader, getMessageFormat, getResourceBundle, getStringOrNull, loadBundle, resolveCode, resolveCodeWithoutArguments, setBeanClassLoader, setBundleClassLoader, toString`

    - ### Methods inherited from class org.springframework.context.support.AbstractResourceBasedMessageSource

      `addBasenames, getBasenameSet, getCacheMillis, getDefaultEncoding, isFallbackToSystemLocale, setBasename, setBasenames, setCacheMillis, setCacheSeconds, setDefaultEncoding, setFallbackToSystemLocale`

    - ### Methods inherited from class org.springframework.context.support.AbstractMessageSource

      `getCommonMessages, getDefaultMessage, getDefaultMessage, getMessage, getMessage, getMessage, getMessageFromParent, getMessageInternal, getParentMessageSource, isUseCodeAsDefaultMessage, resolveArguments, setCommonMessages, setParentMessageSource, setUseCodeAsDefaultMessage`

    - ### Methods inherited from class org.springframework.context.support.MessageSourceSupport

      `createMessageFormat, formatMessage, isAlwaysUseMessageFormat, renderDefaultMessage, setAlwaysUseMessageFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBundleMessageSource

          public ResourceBundleMessageSource()

  - ### Method Detail

    - #### getKeys

          public Set<String> getKeys(Locale locale)

      Returns the keys for the given locale
      Parameters:
        `locale` - the `Locale` to get the keys for
      Returns:
        a (sorted) set of keys
      See Also:
        `ResourceBundle.keySet()`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.